commit: 0048e35f89d95a768104b88aa408822b719f5009
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 1 14:10:06 2016 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Feb 1 15:44:20 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0048e35f
dev-python/colorlog: Version Bump
Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/colorlog/Manifest | 1 +
dev-python/colorlog/colorlog-2.6.0.ebuild | 9 ++++-----
.../{colorlog-2.6.0.ebuild => colorlog-2.6.1.ebuild} | 13 ++++++-------
3 files changed, 11 insertions(+), 12 deletions(-)
diff --git a/dev-python/colorlog/Manifest b/dev-python/colorlog/Manifest
index 62558fd..b8f400a 100644
--- a/dev-python/colorlog/Manifest
+++ b/dev-python/colorlog/Manifest
@@ -1 +1,2 @@
DIST colorlog-2.6.0.tar.gz 7079 SHA256
0f03ae0128a1ac2e22ec6a6617efbd36ab00d4b2e1c49c497e11854cf24f1fe9 SHA512
be0fbdb617f2edede0d7076a7d9bb0f32578d8f8e688734cf2f29a3bad8e95a8cd2ee32abd680289602a8fb5fb3da728a134ac0f9eb7bcf645a3220c9e02dbf0
WHIRLPOOL
64565c351e6e36b3c20882b9c73a36a2d8aed5866b92d447bbe95dbbff30f15f3d9d68b6840916738d5eb943246f1ec5c9548505e6e2df2e09057c20c564da7c
+DIST colorlog-2.6.1.tar.gz 7721 SHA256
34891e2f914903ecbbdba1666f0946e8ce141ebd888f0468d0484c1ffc345b36 SHA512
ca30eee4352d20e8aa5b1d3b38e03d0a14f7c8fd4370bb312857b1fb1909a704c87f81f3ee790defc33fc7688126e6f4776a561e2ca05a8c9fb20fae5f7430c7
WHIRLPOOL
67256d7a452e2b503f6e86fa6090692246703e3e4c774f7208b5e9f1be2aac2796eb013f96d12796d110f974e4806f624485f7efaa226e2ef0993be8d49f445d
diff --git a/dev-python/colorlog/colorlog-2.6.0.ebuild
b/dev-python/colorlog/colorlog-2.6.0.ebuild
index 1e8ec03..4464f79 100644
--- a/dev-python/colorlog/colorlog-2.6.0.ebuild
+++ b/dev-python/colorlog/colorlog-2.6.0.ebuild
@@ -24,10 +24,9 @@ DEPEND="${RDEPEND}
DOCS=( README.rst )
-python_test() {
- py.test colorlog || die
-}
+# https://github.com/borntyping/python-colorlog/issues/28
+RESTRICT=test
-python_install_all() {
- distutils-r1_python_install_all
+python_test() {
+ py.test -v -v || die
}
diff --git a/dev-python/colorlog/colorlog-2.6.0.ebuild
b/dev-python/colorlog/colorlog-2.6.1.ebuild
similarity index 79%
copy from dev-python/colorlog/colorlog-2.6.0.ebuild
copy to dev-python/colorlog/colorlog-2.6.1.ebuild
index 1e8ec03..4e5b2f6 100644
--- a/dev-python/colorlog/colorlog-2.6.0.ebuild
+++ b/dev-python/colorlog/colorlog-2.6.1.ebuild
@@ -2,9 +2,9 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
-PYTHON_COMPAT=( python2_7 python3_{3,4} )
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
inherit distutils-r1
@@ -24,10 +24,9 @@ DEPEND="${RDEPEND}
DOCS=( README.rst )
-python_test() {
- py.test colorlog || die
-}
+# https://github.com/borntyping/python-colorlog/issues/28
+RESTRICT=test
-python_install_all() {
- distutils-r1_python_install_all
+python_test() {
+ py.test -v -v || die
}